Samba documentation update for ubuntu-serverguide

Bug #579851 reported by Alex Lourie on 2010-05-13
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
ubuntu-docs (Ubuntu)
Undecided
Adam Sommer

Bug Description

Binary package hint: ubuntu-docs

The following is a suggestion for the Ubuntu Server Guide (Samba), available at https://help.ubuntu.com/10.04/serverguide/C/samba-dc.html

1. Under step 7:
Comment that rights need to be explicitly provided to the domain admins group to allow the add machine script (and other admin functions) to work. This is achieved by running

net rpc rights grant "YOURDOMAIN\Domain Admins" SeMachineAccountPrivilege SePrintOperatorPrivilege SeAddUsersPrivilege SeDiskOperatorPrivilege SeRemoteShutdownPrivilege

(without this step adding a machine fails with message unknown user or bad password)

2. Also step 8 is now WRONG. In 10.04 you restart Samba by running

sudo restart smbd
sudo restart nmbd

NOT sudo /etc/init.d/samba restart

Adam Sommer (asommer) on 2010-05-16
tags: added: serverguide
Adam Sommer (asommer) wrote :

Thanks for reporting this bug and helping make Ubuntu better. I have added your suggestion to revision 512 in the Maverick branch and revision 510 in the Lucid branch.

Changed in ubuntu-docs (Ubuntu):
status: New → Fix Committed
assignee: nobody → Adam Sommer (asommer)
milestone: none → lucid-updates
Klaus Hartnegg (hartnegg) wrote :

I see that this has been corrected in the PDF
https://help.ubuntu.com/10.04/serverguide/C/serverguide.pdf
but not in the html online version
https://help.ubuntu.com/10.04/serverguide/C/windows-networking.html

Will it just take a while until some cron job runs again, or is this an error?

On Sun, Jun 6, 2010 at 5:13 PM, Klaus Hartnegg <email address hidden> wrote:

> I see that this has been corrected in the PDF
> https://help.ubuntu.com/10.04/serverguide/C/serverguide.pdf
> but not in the html online version
> https://help.ubuntu.com/10.04/serverguide/C/windows-networking.html
>
> Will it just take a while until some cron job runs again, or is this an
> error?
>

The PDF was created from the latest content in the Lucid branch. Some
sections were updated for a SRU for Lucid, and the rest of the site will be
updated once the ubuntu-docs package is updated.

If you have additional questions please don't hesitate to ask.

Thanks

--
Party On,
Adam

Klaus Hartnegg (hartnegg) wrote :

I don't understand how this explains why the same info is updated in one variant of the manual, but not in the other. For me this looks like an automatic script has failed, not like somebody chose which bugs to fix for which release. Please note I didn't say that not all errors were fixed, I said the pdf is fixed but the SAME INFO in the html variant of the same manual is still the outdated version, that isn't correct any more. I fear that most people use the html, not the pdf, so they get the wrong info and can't get samba running.

Adam Sommer (asommer) wrote :

Hello,

On Tue, Jun 8, 2010 at 9:46 AM, Klaus Hartnegg <email address hidden> wrote:

> I don't understand how this explains why the same info is updated in one
> variant of the manual, but not in the other. For me this looks like an
> automatic script has failed, not like somebody chose which bugs to fix
> for which release. Please note I didn't say that not all errors were
> fixed, I said the pdf is fixed but the SAME INFO in the html variant of
> the same manual is still the outdated version, that isn't correct any
> more. I fear that most people use the html, not the pdf, so they get the
> wrong info and can't get samba running.
>
>

The core issue is the "dysfunction" of the Ubuntu Doc team. I don't meant
to say this in a negative way, all members of the team are purely voluntary
and don't always have the time to update all aspects of the h.u.c site, or
to update currently released version of the docs.

Basically the HTML version will be updated when the ubuntu-docs package is
updated... I will also try to update the HTML server guide as soon as
possible.

Thanks again for your feedback and input.

--
Party On,
Adam

Matthew East (mdke) wrote :

Adam - ordinarily the process is not to update the website until the package is updated. In this case given that the PDF file has accidentally used the newer version, I would go ahead and update the html version too to avoid the inconsistency that Klaus has pointed out.

Am 10.08.2010 09:44, schrieb Matthew East:
> ordinarily the process is not to update the website until the
> package is updated. In this case given that the PDF file has
> accidentally used the newer version, I would go ahead and update the
> html version too to avoid the inconsistency that Klaus has pointed out.

IMHO the severity of the problem should justify an immediate update of
the package anyway.
Why severe? For several reasons, each one alone should justify a fix:
1: The manual is lagging at least two versions behind the software.
2: The pdf formatting is broken: important config-lines are truncated.
3: Several steps are missing, that are absolutely required to get the
samba server running as domain controller (see the other bug reports for
samba).

Klaus

On Tue, Aug 10, 2010 at 12:58 PM, Klaus Hartnegg <email address hidden> wrote:
> Am 10.08.2010 09:44, schrieb Matthew East:
> IMHO the severity of the problem should justify an immediate update of the
> package anyway.
> Why severe? For several reasons, each one alone should justify a fix:
> 1: The manual is lagging at least two versions behind the software.
> 2: The pdf formatting is broken: important config-lines are truncated.
> 3: Several steps are missing, that are absolutely required to get the samba
> server running as domain controller (see the other bug reports for samba).

It looks like you are referring to some other bug reports in addition
to this one - I don't think we have fixes for all these issues, unless
I'm mistaken, so an immediate update of the package would not resolve
these items, even if they are genuinely severe enough to justify a
stable release update.

If you would like to provide patches to fix any other bugs we will
very gladly consider them for inclusion.

--
Matthew East
http://www.mdke.org
gnupg pub 1024D/0E6B06FF

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-docs - 10.10.1

---------------
ubuntu-docs (10.10.1) maverick; urgency=low

  * First release for maverick
  * General:
    - Update copyright year, LP: #580396
    - Update version numbers for maverick, LP: #587119
    - Update pot files
  * Administrative:
    - Users and Groups app UI changed - adjusted directions,
      LP: #570429 (Connor Imes)
  * Basic-commands:
    - Removed incorrect comment about using ~ with sudo,
      LP: #570423 (Connor Imes)
  * Internet:
    - Add section on Ubuntu One, authored by Matt Griffin with
      some changes/review
    - Typos: Cicso -> Cisco. Alex Wardle, LP: #561084
  * Musicvideophotos:
    - Add material on using Ubuntu One Music Store and
      other Music Stores
      within Rhythmbox, content submitted by Matt Griffin
    - Update microphone troubleshooting, LP: #591164
  * Serverguide:
    - Removed erroneous text from vmbuilder command,
      LP: #559190
    - Typo in network-config section. Alex Wardle, LP: #550892
    - Fix typo in Kerberos section. David C. Curtis, LP: #561788
    - Replaced dkim-filter with opendkim, feedback from
      Scott Kitterman. LP: #561825
    - Changed ldapsearch command in ACL section for new authentication
      mechanism. LP: #333733
    - Adjusted certificate wording to be more concise about which
      lines to copy. LP: #575859
    - Changed samba restart command to use new upstart scripts.
      LP: #575540
    - New information about granting groups Admin rights for Samba.
      LP: #579851
    - Various typos and English fixes from Travis Nichol, Connor Imes,
      Vikram Dhillon, Dean Sas, Andrew Rowell. LP: #594913,
      LP: #572959, LP: #603947
    - New Amavisd-new and Spamassassin section which adds note about possible
      large amount of error messages sent to email. LP: #165184 (Adam Sommer)
    - Removed OpenNebula section (Adam Sommer)
    - Removed eBox section (Adam Sommer)
    - Reviewed and updated User Management and Console Security sections
      (Adam Sommer)
    - Fixed spelling typo of dyngroup.schema, fixed ldapscripts <ask> example
      explanation, and ldapscripts example template path. LP: #595001
      (Adam Sommer)
    - Updates to UEC sections (Adam Sommer)
    - New "First Boot" section covering clout-init functionality (Adam Sommer)
    - Fix broken links to installation-guide, add distro-rev-short
      entity, LP: #575961
  * Windows:
    - Change wording of windows/C/preparing.xml, LP: #483153
 -- Matthew East <email address hidden> Sat, 14 Aug 2010 22:35:52 +0100

Changed in ubuntu-docs (Ubuntu):
status: Fix Committed → Fix Released
Klaus Hartnegg (hartnegg) wrote :

Hi,

It is STILL wrong in the html version on the web pages, e.g.
https://help.ubuntu.com/10.04/serverguide/C/samba-dc.html

Btw. it would be nice if the pdf and the html versions would tell, on which revision they are based.
It would be even better if they were updated more often and if some web page would tell, how often they are updated and when the next update will be.

best regards,
Klaus

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers